Skip to main content
GET
/
api
/
client
/
v2
/
prospects
List Prospects
curl --request GET \
  --url https://prod-nginx-v2.goextrovert.com/webgateway/api/client/v2/prospects \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "data": {
    "users": [
      {
        "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
        "updatedAt": "2025-06-30T14:02:07.456Z",
        "createdAt": "2025-06-30T14:02:07.456Z",
        "lastPostsFetchStatus": "<string>",
        "isDeleted": true,
        "isImportant": true,
        "type": "<string>",
        "linkedInProfile": {
          "id": "<string>",
          "updatedAt": "2025-06-30T14:02:07.456Z",
          "createdAt": "2025-06-30T14:02:07.456Z",
          "name": "<string>",
          "headline": "<string>",
          "linkedInUrl": "<string>",
          "avatarUrl": "<string>"
        },
        "list": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "lastNewPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
        "parentTargetUser": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>",
          "linkedInProfile": {
            "id": "<string>",
            "updatedAt": "2025-06-30T14:02:07.456Z",
            "createdAt": "2025-06-30T14:02:07.456Z",
            "name": "<string>",
            "headline": "<string>",
            "linkedInUrl": "<string>",
            "avatarUrl": "<string>"
          }
        },
        "statistics": {
          "totalPostsCount": 123,
          "answeredPostsCount": 123,
          "pendingPostsAnswersCount": 123,
          "postsLikesCount": 123,
          "weeklyPostFrequency": 123,
          "indirectPostsLikesCount": 123,
          "indirectAnsweredPostsCount": 123,
          "indirectPendingResponseCommentsCount": 123,
          "lastNewSuccessPostsTotalCount": 123,
          "totalIndirectPostActivitiesCount": 123,
          "weeklyIndirectPostActivityFrequency": 123,
          "totalAnsweredPostsCount": 123,
          "oldestPostDate": "2025-06-30T14:02:07.456Z",
          "newestPostDate": "2025-06-30T14:02:07.456Z",
          "oldestPostAnswerDate": "2025-06-30T14:02:07.456Z",
          "newestPostAnswerDate": "2025-06-30T14:02:07.456Z",
          "lastNewSuccessPostsObtainFinishDate": "2025-06-30T14:02:07.456Z",
          "indirectOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
          "indirectNewestResponseCommentDate": "2025-06-30T14:02:07.456Z",
          "newestPostReactionDate": "2025-06-30T14:02:07.456Z",
          "totalOldestResponseCommentDate": "2025-06-30T14:02:07.456Z",
          "totalNewestResponseCommentDate": "2025-06-30T14:02:07.456Z"
        },
        "campaign": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "sharedBy": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "user": {
          "id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
          "name": "<string>",
          "description": "<string>"
        },
        "userConnection": {
          "id": "<string>",
          "updatedAt": "2025-06-30T14:02:07.456Z",
          "createdAt": "2025-06-30T14:02:07.456Z",
          "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "prospectLinkedInProfileId": "<string>",
          "status": "<string>",
          "wasConnectionRequestSuccessfulAttemptMade": true,
          "connectedDate": "2025-06-30T14:02:07.456Z",
          "connectionRequestSuccessfulAttemptMadeDate": "2025-06-30T14:02:07.456Z",
          "latestDmHistoryMessageDate": "2025-06-30T14:02:07.456Z"
        }
      }
    ],
    "pagination": {
      "limit": 4503599627370495,
      "offset": 4503599627370495,
      "total": 4503599627370495
    }
  },
  "message": "Operation completed successfully"
}

Authorizations

X-API-Key
string
header
required

API Key for authentication

Query Parameters

listId
string<uuid>

Optional list id shortcut to load prospects from one specific prospect list.

campaignsIds
array
required

Optional campaign ids filter. Pass an empty array to keep all visible campaigns.

isImportant
boolean
required

Optional filter to only show important or non-important prospects.

postFrequency
enum<string>

Optional post-frequency filter.

Available options:
MORE_THAN_TWICE_PER_WEEK,
ONE_TO_TWO_TIMES_PER_WEEK,
ONE_TO_THREE_TIMES_PER_MONTH,
LESS_THAN_ONCE_PER_MONTH
listsIds
array
required

Optional prospect list ids filter. Pass an empty array to keep all lists.

sortBy
enum<string>

Optional sort field.

Available options:
prospectName,
campaignName,
postFrequency,
totalComments,
lastComment,
lastPostCheck
sortOrder
enum<string>

Optional sort direction.

Available options:
ASC,
DESC

Optional free-text search term.

numberOfTouchPoints
array
required

Optional touch-point buckets filter. Pass an empty array to keep all.

limit
integer

Optional page size limit. Pass it explicitly for paginated list queries.

Required range: 0 < x <= 9007199254740991
offset
integer

Optional page offset. Increase it to load the next page with the same filters.

Required range: 0 <= x <= 9007199254740991

Response

status
enum<string>
required

Response status

Available options:
success
data
object
required

Prospects response with optional pagination

message
string
required

Success message

Example:

"Operation completed successfully"